# Struct atom_type_info

- Defined in File atom_type.hpp

## Struct Documentation

struct atom_type_info

  A struct holding the known information for all elements defined in atom_type.

  Public Members

  atom_type type

    The type as an atom_type.

  std::string name

    The official name for this element.

  std::string symbol

    The official symbol for this element.

  float weight

    The weight of this element.

  bool metal

    A flag indicating whether the element is a metal.

  std::array<float, kRadiusTypeCount> radii

    Array containing all known radii for this element. A value of kNA is stored for unknown values